#!/bin/sh

if [ ! -r VERSION ] ; then
	echo "$0: No VERSION file! "
	exit 1
fi
version="`cat VERSION`"
if [ "$version" != "kehpager V1.21" ] ; then
	echo "This patch must run agaist kehpager V1.21!"
	echo "This source is: $version"
	exit 1
fi
if [ ! -r COPYRIGHT ] ; then
	echo "Creating file COPYRIGHT ..."
	if cp patch2.COPYRIGHT COPYRIGHT ; then
		echo "OK"
	else
		exit 1
	fi
fi
echo "Patching rest of source..."
if patch -c -N <patch2.diff ; then
	echo "Patching OK"
else
	exit 1
fi
echo "Kehpager is updated to version 1.22"
exit 0
